Protected Member Functions | List of all members
libetonyek::IWORKXMLContextMinimal Class Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextMinimal:

## Protected Member Functions
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
void | endOfElement () override
| Signalize the end of an element. More...

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | attribute (int name, const char *value)=0
| Process an attribute. More...
virtual IWORKXMLContextPtr_t | element (int name)=0
| Create a context for parsing a child element. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...
virtual void | CDATA (const char *value)
| Process CDATA content of an element. More...

## Constructor & Destructor Documentation

## ◆ IWORKXMLContextMinimal()

libetonyek::IWORKXMLContextMinimal::IWORKXMLContextMinimal | ( |  | ) |
| protected

## Member Function Documentation

## ◆ endOfAttributes()

void libetonyek::IWORKXMLContextMinimal::endOfAttributes | ( |  | ) |
| protected virtual

## ◆ endOfElement()

void libetonyek::IWORKXMLContextMinimal::endOfElement | ( |  | ) |
| override protected virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ startOfElement()

void libetonyek::IWORKXMLContextMinimal::startOfElement | ( |  | ) |
| override protected virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libetonyek::IWORKXMLContext.

The documentation for this class was generated from the following files:

- IWORKXMLContextBase.h
- IWORKXMLContextBase.cpp